import request from '@/utils/request'


/* 获取已分配的用户或技能组信息*/
export function readAssigned(data) {
    return request({
      url: '/campaignAssigned/readAssigned',
      method: 'get',
      params: data
    })
  }
  
  // 分配结果保存
  export function assignedCampaign(data) {
    return request({
      url: '/campaignAssigned/assigned',
      method: 'post',
      data
    })
  }
  

  export function listAssigned(data) {
    return request({
      url: '/campaignAssigned/list',
      method: 'get',
      params: data
    })
  }

  export function deletedAssigned(data) {
    return request({
      url: '/campaignAssigned/delete',
      method: 'post',
      data
    })
  }
   

  export function allShopsAndSkills(data) {
    return request({
      url: '/campaignAssigned/allShopsAndSkills',
      method: 'get',
      params:data
    })
  }